#
# spec file for package pvmblacs (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  f2c g77 pvm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs f2c file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps pvm rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         pvmblacs
Copyright:    1999 - not specified
Group:        Development/Libraries/Parallel
Provides:     pvmblacs
Requires:     pvm g77 f2c
Summary:      BLACS With PVM
Version:      1.1
Release:      286
Source:	      pvmblacs.tgz
Patch:	      BLACS.dif
URL:	      http://www.netlib.org/blacs/
Prefix:       /usr
Autoreqprov:  on
BuildRoot:    /tmp/pvmblacs-%{version}-root

%description
The BLACS (Basic Linear Algebra Communication Subprograms) project is an ongoing investigation whose purpose is to create a linear algebra oriented message passing interface that may be implemented efficiently and uniformly across a large range of distributed memory platforms.
The length of time required to implement efficient distributed memory algorithms makes it impractical to rewrite programs for every new parallel machine. The BLACS exist in order to make linear algebra applications both easier to program and more portable.

Authors:
--------
    Netlib <blacs@cs.utk.edu>

SuSE series: beo

%prep
%setup  -n BLACS
%patch

%build
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make pvm

%install
install -d $RPM_BUILD_ROOT/usr/lib
cp  LIB/blacs_PVM-LINUX-0.a $RPM_BUILD_ROOT/usr/lib/libpvmblacs.a

%files
%doc README
/usr/lib/*.a

%changelog -n pvmblacs
* Tue Nov 07 2000 - nashif@suse.de
- Fixed to work with new pvm package
- removed shared libraries
* Fri May 12 2000 - nashif@suse.de
- Moved to /opt/netlib
- Added Group tag
- removed test files
* Thu Jan 20 2000 - nashif@suse.de
- Initial Release
